Subject: [Class of 2014] Reminder: RingComm Apps due in 1 Week!

From: Anika Gupta <[email-masked]>
Date: Wed, 6 Apr 2011 18:06:33 -0400

Hey Class of 2014!

If you forgot or if you missed the first email, don't forget that
applications for the 2014 Ring Committee are due next *Wednesday, April 13th
* at *11:59 PM*. The Ring Committee is a great way to show off your amazing
ideas and skills to become part of one of MIT's greatest traditions. The
application is attached and can be submitted to [email-masked]. We can't
wait to see your ideas!

Sincerely,

The 2014 RingComm Selection Committee